Bug 173638 - net-mgmt/nagios-plugins [PATCH] Revised check_ircd.pl patch
net-mgmt/nagios-plugins [PATCH] Revised check_ircd.pl patch
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Bryan Drewery
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-15 03:50 UTC by Ryan Frederick
Modified: 2013-04-21 23:30 UTC (History)
0 users

See Also:


Attachments
file.diff (658 bytes, patch)
2012-11-15 03:50 UTC, Ryan Frederick
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Frederick 2012-11-15 03:50:00 UTC
Attached is a revised patch file for check_ircd.pl (patch-plugins-scripts__check_ircd.pl) in net-mgmt/nagios-plugins which corrects the pack() template to reflect the sockaddr_in struct in FreeBSD 7.0 and above.

Fix: Patch attached with submission follows:
Comment 1 Ryan Frederick 2012-11-29 03:00:17 UTC
I realized after submission that I mistyped the port in the
subject/synopsis. It should of course be net-mgmt/nagios-plugins

On 11/14/12 9:50 PM, FreeBSD-gnats-submit@FreeBSD.org wrote:
> Thank you very much for your problem report.
> It has the internal identification `ports/173638'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs. 
> 
> You can access the state of your problem report at any time
> via this link:
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=173638
> 
>> Category:       ports
>> Responsible:    freebsd-ports-bugs
>> Synopsis:       [PATCH] Revised check_ircd.pl patch for net-mgmt/nagios_plugins
>> Arrival-Date:   Thu Nov 15 03:50:00 UTC 2012
Comment 2 Edwin Groothuis freebsd_committer 2012-11-29 05:14:43 UTC
Maintainer of net-mgmt/nagios-plugins,

Please note that PR ports/173638 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/173638

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-11-29 05:14:45 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Ryan Frederick 2013-01-21 04:08:45 UTC
Bumping this due to no response in almost two months.
Comment 5 Bryan Drewery freebsd_committer 2013-04-15 13:50:49 UTC
State Changed
From-To: feedback->open

maintainer timeout
Comment 6 Bryan Drewery freebsd_committer 2013-04-15 14:16:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bdrewery

I'll take it.
Comment 7 dfilter freebsd_committer 2013-04-21 23:29:19 UTC
Author: bdrewery
Date: Sun Apr 21 22:29:06 2013
New Revision: 316219
URL: http://svnweb.freebsd.org/changeset/ports/316219

Log:
  - Fix check_ircd.pl so it works
    More information: http://www.nntp.perl.org/group/perl.beginners/2011/02/msg115898.html
  - Trim header
  
  PR:		ports/173638
  Submitted by:	Ryan Frederick <ryanrfrederick@gmail.com>
  Approved by:	maintainer timeout
  Feature safe:	yes

Modified:
  head/net-mgmt/nagios-plugins/Makefile
  head/net-mgmt/nagios-plugins/files/patch-plugins-scripts__check_ircd.pl

Modified: head/net-mgmt/nagios-plugins/Makefile
==============================================================================
--- head/net-mgmt/nagios-plugins/Makefile	Sun Apr 21 22:16:15 2013	(r316218)
+++ head/net-mgmt/nagios-plugins/Makefile	Sun Apr 21 22:29:06 2013	(r316219)
@@ -1,12 +1,9 @@
-# New ports collection makefile for:	nagios-plugins
-# Date created:				14 Jul 2002
-# Whom:					Blaz Zupan <blaz@si.FreeBSD.org>
-#
+# Created by: Blaz Zupan <blaz@si.FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	nagios-plugins
 PORTVERSION=	1.4.16
+PORTREVISION=	1
 PORTEPOCH=	1
 CATEGORIES=	net-mgmt
 MASTER_SITES=	SF/nagiosplug/nagiosplug/${PORTVERSION}

Modified: head/net-mgmt/nagios-plugins/files/patch-plugins-scripts__check_ircd.pl
==============================================================================
--- head/net-mgmt/nagios-plugins/files/patch-plugins-scripts__check_ircd.pl	Sun Apr 21 22:16:15 2013	(r316218)
+++ head/net-mgmt/nagios-plugins/files/patch-plugins-scripts__check_ircd.pl	Sun Apr 21 22:29:06 2013	(r316219)
@@ -1,6 +1,6 @@
---- plugins-scripts/check_ircd.pl.orig	Tue May  7 15:05:49 2002
-+++ plugins-scripts/check_ircd.pl	Fri May 12 23:40:44 2006
-@@ -67,6 +67,7 @@
+--- plugins-scripts/check_ircd.pl.orig	2012-06-27 12:32:47.000000000 -0500
++++ plugins-scripts/check_ircd.pl	2012-11-14 20:58:01.479745211 -0600
+@@ -66,6 +66,7 @@
  $ENV{PATH} = "";
  $ENV{ENV} = "";
  $ENV{BASH_ENV} = "";
@@ -8,3 +8,12 @@
  
  # -----------------------------------------------------------------[ Global ]--
  
+@@ -153,7 +154,7 @@
+ 	    print "IRCD UNKNOWN: Could not start socket ($!)\n";
+ 	    exit $ERRORS{"UNKNOWN"};
+ 	}
+-	$sockaddr = 'S n a4 x8';
++	$sockaddr = 'x C n a4 x8';
+ 	$that = pack($sockaddr, AF_INET, $in_remoteport, $thataddr);
+ 	if (!connect(ClientSocket, $that)) { 
+ 	    print "IRCD UNKNOWN: Could not connect socket ($!)\n";
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 Bryan Drewery freebsd_committer 2013-04-21 23:29:20 UTC
State Changed
From-To: open->closed

Committed. Thanks!